package com.ElyStudio.leGaou.models;

public class Category {

    private int id;
    private String name;
    private String icon;
    private int colorCode;
    private int totalQuizzes;
    private int priority;

    public Category() {
    }

    public Category(int id, String name, String icon, int colorCode, int totalQuizzes, int priority) {
        this.id = id;
        this.name = name;
        this.icon = icon;
        this.colorCode = colorCode;
        this.totalQuizzes = totalQuizzes;
        this.priority = priority;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public int getColorCode() {
        return colorCode;
    }

    public void setColorCode(int colorCode) {
        this.colorCode = colorCode;
    }

    public int getTotalQuizzes() {
        return totalQuizzes;
    }

    public void setTotalQuizzes(int totalQuizzes) {
        this.totalQuizzes = totalQuizzes;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }
}
